{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Creates and returns a job that will asynchronously handle the project template creation.","properties":{"path":{"type":"object","properties":{"project_gid":{"type":"string","examples":["1331"],"description":"Globally unique identifier for the project."}},"required":["project_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["dates_rollup_progress","dates_rollup_progress.total_tasks","dates_rollup_progress.updated_tasks","new_graph_export","new_graph_export.completed_at","new_graph_export.created_at","new_graph_export.download_url","new_portfolio","new_portfolio.name","new_portfolio.resource_subtype","new_project","new_project.name","new_project.resource_subtype","new_project_template","new_project_template.name","new_resource_export","new_resource_export.completed_at","new_resource_export.created_at","new_resource_export.download_url","new_task","new_task.created_by","new_task.name","new_task.resource_subtype","resource_subtype","status"]},"examples":[["dates_rollup_progress","dates_rollup_progress.total_tasks","dates_rollup_progress.updated_tasks","new_graph_export","new_graph_export.completed_at","new_graph_export.created_at","new_graph_export.download_url","new_portfolio","new_portfolio.name","new_portfolio.resource_subtype","new_project","new_project.name","new_project.resource_subtype","new_project_template","new_project_template.name","new_resource_export","new_resource_export.completed_at","new_resource_export.created_at","new_resource_export.download_url","new_task","new_task.created_by","new_task.name","new_task.resource_subtype","resource_subtype","status"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/ProjectSaveAsTemplateRequest"}}}},"required":["path","body"],"additionalProperties":false,"definitions":{"ProjectSaveAsTemplateRequest":{"type":"object","required":["name","public"],"properties":{"name":{"description":"The name of the new project template.","type":"string","examples":["New Project Template"]},"team":{"description":"Sets the team of the new project template. If the project exists in an organization, specify team and not workspace.","type":"string","examples":["12345"]},"workspace":{"description":"Sets the workspace of the new project template. Only specify workspace if the project exists in a workspace.","type":"string","examples":["12345"]},"public":{"description":"Sets the project template to public to its team.","type":"boolean","examples":[true]}}}}},"name":"Create a project template from a project","id":"asana.projectsaveastemplate","example":{"path":{"project_gid":"1331"},"body":{}},"maxRequests":1,"summary":false}}